
Katello - Bug #7106

content-view version promote command should have --lifecycle-environment-id as an option instead

of --environment-id

08/15/2014 11:04 AM - dustin tsang

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 3.0.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

$ hammer content-view version promote --help

Usage:

hammer content-view version promote [OPTIONS]

Options:

--async                       Do not wait for the task

--content-view CONTENT_VIEW_NAME Content view name to search by

--content-view-id CONTENT_VIEW_ID content view numeric identifier

--environment ENVIRONMENT_NAME Name to search by

--environment-id ENVIRONMENT_ID

--id ID                       Content view version identifier

--name NAME                   Name to search by

--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL Organization label to search by

-h, --help                    print help

History

#1 - 12/21/2015 03:28 PM - Eric Helms

- translation missing: en.field_release set to 86

#2 - 03/11/2016 09:47 PM - Eric Helms

- Status changed from New to Resolved
